@mixin menu-style__hover() {
  color: $dark-gray-900;
  border: none;
  box-shadow: none;
}
@mixin menu-style__focus() {
  color: $dark-gray-900;
  border: none;
  box-shadow: none;
  outline-offset: -2px;
  outline: 1px dotted $dark-gray-500;
}

// Tabs, Inputs, Square buttons.
@mixin input-style__neutral() {
  box-shadow: 0 0 0 transparent;
  transition: box-shadow 0.1s linear;
  border-radius: $radius-round-rectangle;
  border: $border-width solid $dark-gray-150;
}

@mixin input-style__focus() {
  color: $dark-gray-900;
  border-color: $blue-medium-500;
  box-shadow: 0 0 0 1px $blue-medium-500;

  // Windows High Contrast mode will show this outline, but not the box-shadow.
  outline: 2px solid transparent;
  outline-offset: -2px;
}

@mixin dropdown-arrow() {
  content: "";
  pointer-events: none;
  display: block;
  width: 0;
  height: 0;
  border-left: 3px solid transparent;
  border-right: 3px solid transparent;
  border-top: 5px solid currentColor;
  margin-left: $grid-size-small;

  // This gives the icon space on the right side consistent with the material
  // icon standards.
  margin-right: 2px;
}

@mixin components-button-group(){
  box-shadow: none;
  margin: 0;
  /*margin-bottom: 1.5em;*/
  border: 1px solid $light-gray-500;;
  background-color: $white;
  display: flex;
  flex-shrink: 0;
}